Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.jpa.map
Class JpaGeneratedValue

    java.lang.Object
      org.apache.cayenne.jpa.map.JpaGeneratedValue

All Implemented Interfaces:
  XMLSerializable

    public class JpaGeneratedValue

extends Object
implements XMLSerializable

Field Summary
`protected String` | `generator`
`protected javax.persistence.GenerationType` | `strategy`

Constructor Summary
`JpaGeneratedValue()`
`JpaGeneratedValue(javax.persistence.GeneratedValue annotation)`

Method Summary
`void` | `encodeAsXML(XMLEncoder encoder)` Prints itself as XML to the provided XMLEncoder.
`String` | `getGenerator()`
`javax.persistence.GenerationType` | `getStrategy()`
`void` | `setGenerator(String generator)`
`void` | `setStrategy(javax.persistence.GenerationType strategy)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### generator

    protected String generator

### strategy

    protected javax.persistence.GenerationType strategy

Constructor Detail

### JpaGeneratedValue

    public JpaGeneratedValue()

### JpaGeneratedValue

    public JpaGeneratedValue(javax.persistence.GeneratedValue annotation)

Method Detail

### encodeAsXML

    public void encodeAsXML(XMLEncoder encoder)

  Description copied from interface: `XMLSerializable`
  Prints itself as XML to the provided XMLEncoder.

  Specified by:
    `encodeAsXML` in interface `XMLSerializable`

### getGenerator

    public String getGenerator()

### setGenerator

    public void setGenerator(String generator)

### getStrategy

    public javax.persistence.GenerationType getStrategy()

### setStrategy

    public void setStrategy(javax.persistence.GenerationType strategy)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.